function [ret,reti]=cort2ret_LUT(Rsr,Csr,cort,rr,cc,THyx,CSIyx)
%Inverse mapping: from cortical (log-polar) image to retinal image
%[ret,retI]=cort2ret_LUT(Rsr,Csr,cort,rr,cc,THyx,CSIyx)
%ret: retinal image
%retI: interpolated retinal image
%Rsr,Csr,THyx,CSIyx: LUTs from LPM_LUT
%cort: cortical image
%rr,cc: number of rows and columns of the retinal image
%
%
% Authors:
% Fabio Solari and Manuela Chessa
% PSPC-lab - Biophysical and Electronic Engineering Department - University of Genoa
% March 2010


[S,R]=size(Rsr);
ret=zeros(rr,cc);

for si=1:S
    for ri=1:R
        ret(Rsr(si,ri),Csr(si,ri))=cort(si,ri);
    end
end

reti=bilin_interp_LP(cort,CSIyx,THyx);
