function cort=im2cort_LUT(Rsr,Csr,W_ker,ind1,img)
%Mapping: from cartesian image to cortical (log-polar) image
%cort=im2cort_LUT(Rsr,Csr,W_ker,ind1,img)
%cort: cortical image
%Rsr,Csr: LUTs from LPM_LUT
%W_ker,ind1: from RF_sv
%img: cartesian image
%
%
% Authors:
% Fabio Solari and Manuela Chessa
% PSPC-lab - Biophysical and Electronic Engineering Department - University of Genoa
% March 2010

%oversampling: bilinear interpolation (for radii < ind1)
[S,R]=size(Rsr);
cort=bilin_interp(img,Csr,Rsr);


wm=W_ker{R-ind1+1,2};
[rr,cc]=size(img);
IMG=zeros(rr+2*wm+1,cc+2*wm+1);
IMG(wm+(1:rr),wm+(1:cc))=img;

%undersampling: for radii > ind1 to average with the space-variant
%receptive fields
for si=1:S
    for ri=ind1:R  
        w=W_ker{ri-ind1+1,2};
        ww=-w:w;
        TMP=W_ker{ri-ind1+1,1};
        cort(si,ri)=sum(sum( IMG(ww+Rsr(si,ri)+wm,ww+Csr(si,ri)+wm).*TMP ));
    end
end
